/* Ellipse_2.pde

Written by: Marvin C. Jones and Richard (Rick) G. Freedman

Programming computer graphics, continued!  It is time to draw shapes on 
the screen.  What happens when the position changes to follow the mouse?  
We get a cursor!  We do not clear the screen so that we see our mouse's 
history of movements.
*/

void setup()
{
  //Set the window's size to 500 pixels wide and 300 pixels tall
  size(500, 300);
}

void draw()
{
  //An ellipse is an oval and can be drawn using just four values
  //  We quote the on-line documentation below:
  /*ellipse is a function that takes the following parameters:
  /*        x coordinate of the center
  /*        y coordinate of the center
  /*        horizontal radius
  /*        vertical radius
  */
  //Notice that the circle's center is now at the mouse's location when drawing
  ellipse(mouseX, mouseY, 50, 50);  
}
